## pygpgme 0.1+bzr20090820

=== Makefile ===
PYTHON = python2.4

build:
	$(PYTHON) setup.py build_ext -i

check: build
	GPG_AGENT_INFO= $(PYTHON) test_all.py -v

clean:
	$(PYTHON) setup.py clean

dist: build
	$(PYTHON) setup.py sdist --force-manifest

.PHONY: build check clean dist

=== debian/changelog ===
pygpgme (0.1+bzr20090820-3) unstable; urgency=low

  * debian/patches/largefile-support: Enable support for large files by default
  * Remove quilt patch logic; it's no longer needed in source format 3.0 (quilt)
  * Add DEP-3 headers for all patches

 -- Jonathan Wiltshire <jmw@debian.org>  Sun, 17 Apr 2011 22:44:11 +0100

pygpgme (0.1+bzr20090820-2) unstable; urgency=low

  * Build for Python 2.7 as supported version
  * debian/control: Use only X-Python-Version
  * Bump required build-dependency for python-support
  * Update my email address
  * Standards version 3.9.2
  * debian/rules, debian/patches/testsuite-all-versions: Run test
    suite at build time, for each supported Python version
  * Source format 3.0 (quilt)

 -- Jonathan Wiltshire <jmw@debian.org>  Sun, 17 Apr 2011 00:11:00 +0100

pygpgme (0.1+bzr20090820-1) unstable; urgency=low

  * Sync to Upstream bzr 2009-08-20
  * Fix "Fails to create a Context unless gpgme_check_version is called
    manually" using custom patch until upstream doesn't fix it (Closes: #549921)

 -- Miguel Di Ciurcio Filho <miguel@ic.unicamp.br>  Wed, 14 Oct 2009 20:05:15 +0000

pygpgme (0.1+bzr20090429-1) unstable; urgency=low

  * Initial release. (Closes: #511170: ITP: pygpgme -- A Python wrapper
    for the GPGME library)

 -- Miguel Di Ciurcio Filho <miguel@ic.unicamp.br>  Thu, 16 Jul 2009 19:30:00 -0300

=== debian/control ===
Source: pygpgme
Section: python
Priority: optional
Maintainer: Miguel Di Ciurcio Filho <miguel@ic.unicamp.br>
Build-Depends: debhelper (>= 7.2.8), python-support (>= 0.90.0~), python-all-dev, libgpgme11-dev, python-all-dbg
Standards-Version: 3.9.2
Homepage: https://launchpad.net/products/pygpgme
X-Python-Version: >= 2.4
Uploaders: Jonathan Wiltshire <jmw@debian.org>

Package: python-gpgme
Architecture: any
Provides: ${python:Provides}
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: python wrapper for the GPGME library
 PyGPGME is a Python module that lets you sign, verify, encrypt
 and decrypt messages using the OpenPGP format.
 It is built on top of the GNU Privacy Guard and the
 GPGME library.

Package: python-gpgme-dbg
Priority: extra
Architecture: any
Section: debug
Provides: ${python:Provides}
Depends: python-dbg, python-gpgme (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: python wrapper for the GPGME library (debug extension)
 PyGPGME is a Python module that lets you sign, verify, encrypt
 and decrypt messages using the OpenPGP format.
 It is built on top of the GNU Privacy Guard and the
 GPGME library.
 .
 This package contains the extension built for the Python debug interpreter.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this line to make output verbose
#export DH_VERBOSE=1

PYVERS=$(shell pyversions -vr)
PKGDIR=$(CURDIR)/debian/python-gpgme

clean:
	# Enforce removal of *.pyc files. Apparently dh_clean does
	# not perform find on provided filename patterns.
	rm -rf build/
	find . -name *.pyc -exec rm -f {} \;
	find . -name *.so -exec rm -f {} \;
	dh_clean install-stamp build-stamp \
		$(PYVERS:%=install-python%) $(PYVERS:%=build-python%) \
		$(PYVERS:%=install-debug-python%) $(PYVERS:%=build-debug-python%)

build: build-stamp

build-stamp: $(QUILT_STAMPFN) $(PYVERS:%=build-python%) $(PYVERS:%=build-debug-python%)
	touch $@

build-python%:
	python$* setup.py build
	PYTHON=python$* make check
	touch $@

build-debug-python%:
	python$*-dbg setup.py build
	touch $@

install: install-stamp
install-stamp: $(PYVERS:%=install-python%) $(PYVERS:%=install-debug-python%)
	dh_install
	touch $@

install-python%: build
	python$* setup.py install \
		--skip-build --root $(PKGDIR)
	touch $@

install-debug-python%: build
	python$*-dbg setup.py install \
		--skip-build --root $(PKGDIR)-dbg/
	find $(PKGDIR)-dbg/usr/ ! -type d ! -name '*_d\.so' -delete
	find $(PKGDIR)-dbg/usr/ -depth -empty -delete
	touch $@

#override_dh_auto_install:
#	python setup.py install --no-compile --root=$(CURDIR)/debian/python-gpgme


binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs -a
	dh_installchangelogs
	dh_pysupport -a
	dh_makeshlibs -a
	dh_strip -ppython-gpgme --dbg-package=python-gpgme-dbg
	rm -rf $(PKGDIR)-dbg/usr/share/doc/python-gpgme-dbg
	ln -s python-gpgme $(PKGDIR)-dbg/usr/share/doc/python-gpgme-dbg
	dh_compress -a -X.py
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a -- -Z bzip2

binary-indep:
	dh_testdir -i
	dh_testroot -i
	dh_installdirs -i
	dh_installdocs 
	dh_installchangelogs
	dh_installexamples
	dh_compress -i -X.py
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i -- -Z bzip2

binary: binary-indep binary-arch

get-orig-source:
	REV=$(shell dpkg-parsechangelog | sed -rne 's,^Version: .*bzr([0-9]{4})([0-9]{2})([0-9]{2}).*,\1-\2-\3,p'); \
	VER=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p'); \
	bzr export --root=pygpgme-$$VER -r date:$$REV ../pygpgme_$$VER.orig.tar.gz lp:pygpgme 

.PHONY: build clean binary-indep binary-arch binary install

## pygpgme 0.2

=== debian/changelog ===
pygpgme (0.2-2) unstable; urgency=low

  * Upload to unstable.

 -- Jonathan Wiltshire <jmw@debian.org>  Sat, 07 Jan 2012 22:09:27 +0000

pygpgme (0.2-1) experimental; urgency=low

  * New upstream release (Closes: #638795)
  * Convert to dh_python2
  * Refresh patches for new upstream
  * debian/python-gpgme.examples: Upstream no longer ships example file
  * Remove quilt logic, not necessary with format 3.0 (quilt)
  * Convert to debhelper 8 and dh auto-sequencer

 -- Jonathan Wiltshire <jmw@debian.org>  Mon, 17 Oct 2011 00:47:49 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Miguel Di Ciurcio Filho <miguel@ic.unicamp.br>
-Build-Depends: debhelper (>= 7.2.8), python-support (>= 0.90.0~), python-all-dev, libgpgme11-dev, python-all-dbg
+Build-Depends: debhelper (>= 8.1.0~), python-all-dev (>= 2.6.6-3~), libgpgme11-dev, python-all-dbg (>= 2.6.6-3~)
 Standards-Version: 3.9.2
 Homepage: https://launchpad.net/products/pygpgme
 X-Python-Version: >= 2.4
@@ -23,7 +23,8 @@
 Architecture: any
 Section: debug
 Provides: ${python:Provides}
-Depends: python-dbg, python-gpgme (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: python-gpgme (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Recommends: python-dbg
 Description: python wrapper for the GPGME library (debug extension)
  PyGPGME is a Python module that lets you sign, verify, encrypt
  and decrypt messages using the OpenPGP format.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this line to make output verbose
#export DH_VERBOSE=1

PYVERS=$(shell pyversions -vr)
#PKGDIR=$(CURDIR)/debian/python-gpgme

#clean:
	# Enforce removal of *.pyc files. Apparently dh_clean does
	# not perform find on provided filename patterns.
#	rm -rf build/
#	find . -name *.pyc -exec rm -f {} \;
#	find . -name *.so -exec rm -f {} \;
#	dh_clean install-stamp build-stamp \
#		$(PYVERS:%=install-python%) $(PYVERS:%=build-python%) \
#		$(PYVERS:%=install-debug-python%) $(PYVERS:%=build-debug-python%)

override_dh_auto_clean:
	./setup.py clean
	dh_clean

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	set -e -x;\
	for py in $(PYVERS); do \
		PYTHON=python$$py PYTHONPATH=$(CURDIR)/build/lib.*-$$py GPG_AGENT_INFO= make check ;\
		PYTHON=python$$py PYTHONPATH=$(CURDIR)/build/lib.*-$$py-pydebug GPG_AGENT_INFO= make check ;\
	done
endif

override_dh_install:
	# Install everything excluding the *_d.so debug extensions to python-gpgme
	dh_install -X"*_d.so" "debian/tmp/*" -p python-gpgme
	# Install the debug extensions to python-gpgme-dbg
	dh_install "debian/tmp/usr/lib/python*/*-packages/gpgme/*_d.so" -p python-gpgme-dbg
	# Continue with regular dh_install
	dh_install

override_dh_strip:
ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
	# Stripped symbols go into python-gpgme-dbg
	dh_strip --dbg-package=python-gpgme-dbg
endif

get-orig-source:
	REV=$(shell dpkg-parsechangelog | sed -rne 's,^Version: .*bzr([0-9]{4})([0-9]{2})([0-9]{2}).*,\1-\2-\3,p'); \
	VER=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p'); \
	bzr export --root=pygpgme-$$VER -r date:$$REV ../pygpgme_$$VER.orig.tar.gz lp:pygpgme

%:
	dh $@ --with python2 -Spython_distutils

## pygpgme 0.3

=== debian/changelog ===
pygpgme (0.3-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * ensure that test suite works with gpg 2.1.x (Closes: #797776)
    - drop patch that forces 1.4.x during passphrase_cb
    - drop all unused debian/patches
    - rely on gpg-agent
    - imported keys are counted differently
    - require the use of loopback pinentry for (deprecated) passphrase_cb

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 02 Feb 2016 09:30:40 -0500

pygpgme (0.3-1) unstable; urgency=medium

  * New upstream release (Closes: #665731, #696636)
  * Drop all current patches as pointed out by upstream
  * Build/test for Python 3 (thanks to sterling work by
    Andrew Starr-Bochicchio)
  * Patch those tests for which gnupg2 invokes an agent to use
    gnupg1 instead. This is a workaround for Launchpad #999949
  * debian/rules: clean up properly in clean

 -- Jonathan Wiltshire <jmw@debian.org>  Sat, 22 Mar 2014 23:50:17 +0000

pygpgme (0.2-3) unstable; urgency=low

  [ Andrew Starr-Bochicchio ]
  * Add python-gpgme-dbg.preinst to handle transitioning
    /usr/share/doc/python-gpgme-dbg from a symlink to a directory.
    (Closes: #700780).

 -- Jonathan Wiltshire <jmw@debian.org>  Sun, 24 Feb 2013 18:33:37 +0000

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: python
 Priority: optional
 Maintainer: Miguel Di Ciurcio Filho <miguel@ic.unicamp.br>
-Build-Depends: debhelper (>= 8.1.0~), python-all-dev (>= 2.6.6-3~), libgpgme11-dev, python-all-dbg (>= 2.6.6-3~)
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 8.1.0~), python-all-dev (>= 2.6.6-3~), python3-all-dev, libgpgme11-dev, python-all-dbg (>= 2.6.6-3~), python3-all-dbg, gnupg2, gnupg-agent
+Standards-Version: 3.9.5
 Homepage: https://launchpad.net/products/pygpgme
 X-Python-Version: >= 2.4
+X-Python3-Version: >= 3.2
 Uploaders: Jonathan Wiltshire <jmw@debian.org>
 
 Package: python-gpgme
@@ -32,3 +33,28 @@
  GPGME library.
  .
  This package contains the extension built for the Python debug interpreter.
+
+Package: python3-gpgme
+Architecture: any
+Provides: ${python3:Provides}
+Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Description: python wrapper for the GPGME library (Python 3)
+ PyGPGME is a Python module that lets you sign, verify, encrypt
+ and decrypt messages using the OpenPGP format.
+ It is built on top of the GNU Privacy Guard and the
+ GPGME library.
+
+Package: python3-gpgme-dbg
+Priority: extra
+Architecture: any
+Section: debug
+Provides: ${python3:Provides}
+Depends: python3-gpgme (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Recommends: python3-dbg
+Description: python wrapper for the GPGME library (debug extension) (Python 3)
+ PyGPGME is a Python module that lets you sign, verify, encrypt
+ and decrypt messages using the OpenPGP format.
+ It is built on top of the GNU Privacy Guard and the
+ GPGME library.
+ .
+ This package contains the extension built for the Python debug interpreter.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this line to make output verbose
#export DH_VERBOSE=1

PYTHON2=$(shell pyversions -vr)
PYTHON3=$(shell py3versions -vr)
#PKGDIR=$(CURDIR)/debian/python-gpgme

override_dh_clean:
	# Enforce removal of *.pyc files. Apparently dh_clean does
	# not perform find on provided filename patterns.
	rm -rf build/
	find . -name *.pyc -exec rm -f {} \;
	find . -name *.so -exec rm -f {} \;
	dh_clean install-stamp build-stamp \
		$(PYVERS:%=install-python%) $(PYVERS:%=build-python%) \
		$(PYVERS:%=install-debug-python%) $(PYVERS:%=build-debug-python%)

override_dh_auto_clean:
	./setup.py clean
	dh_clean

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
test-python%:
	make PYTHON=python$* check

override_dh_auto_test: $(PYTHON2:%=test-python%) $(PYTHON3:%=test-python%)
endif

build-python%:
	python$* setup.py build
	python$*-dbg setup.py build

override_dh_auto_build: $(PYTHON3:%=build-python%)

override_dh_auto_install:
	set -e; \
	for py in $(PYTHON2); do \
		python$$py setup.py install --root=$(CURDIR)/debian/python-gpgme --install-layout=deb; \
		python$$py-dbg setup.py install --root=$(CURDIR)/debian/python-gpgme-dbg --install-layout=deb; \
	done
	set -e; \
	for py in $(PYTHON3); do \
		python$$py setup.py install --root=$(CURDIR)/debian/python3-gpgme --install-layout=deb; \
		python$$py-dbg setup.py install --root=$(CURDIR)/debian/python3-gpgme-dbg --install-layout=deb; \
	done
	dh_install

override_dh_strip:
ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
	# Stripped symbols go into python-gpgme-dbg
	dh_strip -ppython-gpgme --dbg-package=python-gpgme-dbg
	dh_strip -ppython3-gpgme --dbg-package=python3-gpgme-dbg
endif

get-orig-source:
	REV=$(shell dpkg-parsechangelog | sed -rne 's,^Version: .*bzr([0-9]{4})([0-9]{2})([0-9]{2}).*,\1-\2-\3,p'); \
	VER=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p'); \
	bzr export --root=pygpgme-$$VER -r date:$$REV ../pygpgme_$$VER.orig.tar.gz lp:pygpgme

%:
	dh $@ --with python2,python3 -Spython_distutils

=== debian/watch ===
version=3
https://launchpad.net/pygpgme/+download http://launchpad.net/pygpgme/.*/pygpgme-(.+).tar.gz
